/*
Inbox

Testing ContactsAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package inboxapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/inboxapi"
)

func Test_inboxapi_ContactsAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test ContactsAPIService AddConsent", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		httpRes, err := apiClient.ContactsAPI.AddConsent(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService AddContactCoupon", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.AddContactCoupon(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService AddContactSegments", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.AddContactSegments(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService AddExternalId", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.AddExternalId(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService AddLanguage", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		httpRes, err := apiClient.ContactsAPI.AddLanguage(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService AddSegment", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.AddSegment(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService AddSegmentGroup", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		httpRes, err := apiClient.ContactsAPI.AddSegmentGroup(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService AttachContactComChannel", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string
		var comChanId string

		resp, httpRes, err := apiClient.ContactsAPI.AttachContactComChannel(context.Background(), organizationId, contactId, comChanId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService AttachPlatformContactComChannel", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var contactId string
		var platformComChanId string

		resp, httpRes, err := apiClient.ContactsAPI.AttachPlatformContactComChannel(context.Background(), channelId, contactId, platformComChanId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService CreateContact", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.CreateContact(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService CreateNewActivity", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.CreateNewActivity(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService DeleteContact", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var contactId string
		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.DeleteContact(context.Background(), contactId, organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService DeleteContactsGroup", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		httpRes, err := apiClient.ContactsAPI.DeleteContactsGroup(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService DeleteExternalId", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.DeleteExternalId(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService DeleteLanguage", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string
		var sourceId string

		httpRes, err := apiClient.ContactsAPI.DeleteLanguage(context.Background(), organizationId, contactId, sourceId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService DeleteOrganizationsOrganizationIdContactsContactIdSegment", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		httpRes, err := apiClient.ContactsAPI.DeleteOrganizationsOrganizationIdContactsContactIdSegment(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService DeletePrimaryAvatar", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.DeletePrimaryAvatar(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService DeleteSegmentGroup", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		httpRes, err := apiClient.ContactsAPI.DeleteSegmentGroup(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService DetachContactComChannel", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string
		var comChanId string

		resp, httpRes, err := apiClient.ContactsAPI.DetachContactComChannel(context.Background(), organizationId, contactId, comChanId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService DetachPlatformContactComChannel", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var contactId string
		var platformComChanId string

		resp, httpRes, err := apiClient.ContactsAPI.DetachPlatformContactComChannel(context.Background(), channelId, contactId, platformComChanId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ExportContacts", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.ExportContacts(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ExportContactsAttributes", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.ExportContactsAttributes(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetActivitiesReport", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.GetActivitiesReport(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetChannelActivitiesCount", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var channelId string

		resp, httpRes, err := apiClient.ContactsAPI.GetChannelActivitiesCount(context.Background(), organizationId, channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetChannelActivitiesGrowth", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var channelId string

		resp, httpRes, err := apiClient.ContactsAPI.GetChannelActivitiesGrowth(context.Background(), organizationId, channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetChannelActivitiesQualMetrics", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var channelId string

		resp, httpRes, err := apiClient.ContactsAPI.GetChannelActivitiesQualMetrics(context.Background(), organizationId, channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetContact", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var contactId string
		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.GetContact(context.Background(), contactId, organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetContactActivity", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string
		var activityId string

		resp, httpRes, err := apiClient.ContactsAPI.GetContactActivity(context.Background(), organizationId, contactId, activityId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetContactGLobal", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.GetContactGLobal(context.Background(), contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetContactsGrowth", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.GetContactsGrowth(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetContactsQual", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.GetContactsQual(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetContactsReport", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.GetContactsReport(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetCoupons", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var code string

		resp, httpRes, err := apiClient.ContactsAPI.GetCoupons(context.Background(), organizationId, code).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetLanguages", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.GetLanguages(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetOrganizationActivitiesCount", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.GetOrganizationActivitiesCount(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetOrganizationActivitiesGrowth", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.GetOrganizationActivitiesGrowth(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetOrganizationActivitiesQualMetrics", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.GetOrganizationActivitiesQualMetrics(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetOrganizationsOrganizationIdContactsKpi", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.GetOrganizationsOrganizationIdContactsKpi(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService GetOrganizationsOrganizationIdContactsLabels", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.GetOrganizationsOrganizationIdContactsLabels(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ImportContacts", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		httpRes, err := apiClient.ContactsAPI.ImportContacts(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ImportContactsAttributes", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		httpRes, err := apiClient.ContactsAPI.ImportContactsAttributes(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListChannelActivities", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var channelId string

		resp, httpRes, err := apiClient.ContactsAPI.ListChannelActivities(context.Background(), organizationId, channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListContactActivities", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.ListContactActivities(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListContactConversations", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.ListContactConversations(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListContactCoupons", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.ListContactCoupons(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListContactFiles", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.ListContactFiles(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListContactInteractions", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.ListContactInteractions(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListContactLabels", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.ListContactLabels(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListContactSegments", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.ListContactSegments(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListContacts", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.ListContacts(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListContactsGroup", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.ListContactsGroup(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListLanguages", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.ListLanguages(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListOrganizationActivities", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.ListOrganizationActivities(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService ListSegments", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.ListSegments(context.Background(), organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService PatchActivity", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string
		var activityId string

		resp, httpRes, err := apiClient.ContactsAPI.PatchActivity(context.Background(), organizationId, contactId, activityId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService PatchContact", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var contactId string
		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.PatchContact(context.Background(), contactId, organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService PatchCoupon", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string
		var code string

		resp, httpRes, err := apiClient.ContactsAPI.PatchCoupon(context.Background(), organizationId, contactId, code).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService RevokeConsent", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		httpRes, err := apiClient.ContactsAPI.RevokeConsent(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService UpdateContact", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var contactId string
		var organizationId string

		resp, httpRes, err := apiClient.ContactsAPI.UpdateContact(context.Background(), contactId, organizationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService UpdateCoupon", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string
		var code string

		resp, httpRes, err := apiClient.ContactsAPI.UpdateCoupon(context.Background(), organizationId, contactId, code).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ContactsAPIService UploadAvatar", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var organizationId string
		var contactId string

		resp, httpRes, err := apiClient.ContactsAPI.UploadAvatar(context.Background(), organizationId, contactId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
